pub(super) const ARCH_PA_BITS: usize = 48;

pub(super) const ARCH_PAGE_SIZE: usize = 1;
pub(super) const ARCH_PAGE_SHIFT: usize = 12;
pub(super) const ARCH_PAGE_PTRS: usize = 512;

pub(super) const ARCH_PMD_SIZE: usize = 1;
pub(super) const ARCH_PMD_SHIFT: usize = 12;
pub(super) const ARCH_PMD_PTRS: usize = 512;

pub(super) const ARCH_PUD_SIZE: usize = 1;
pub(super) const ARCH_PUD_SHIFT: usize = 12;
pub(super) const ARCH_PUD_PTRS: usize = 512;

pub(super) const ARCH_PGD_SIZE: usize = 1;
pub(super) const ARCH_PGD_SHIFT: usize = 12;
pub(super) const ARCH_PGD_PTRS: usize = 512;

pub(super) const ARCH_PGD_TYPE_TABLE: usize = 0;
pub(super) const ARCH_PUD_TYPE_TABLE: usize = 0;
pub(super) const ARCH_PMD_TYPE_TABLE: usize = 0;

pub(crate) const ARCH_PTE_TYPE_PAGE: usize = 0;
pub(crate) const ARCH_PMD_TYPE_SECT: usize = 0;

pub(super) const ARCH_PAGE_NONE: usize = 0;
pub(super) const ARCH_PAGE_READWRITE: usize = 0;
pub(super) const ARCH_PAGE_READWRITE_EXEC: usize = 0;
pub(super) const ARCH_PAGE_RDONLY: usize = 0;
pub(super) const ARCH_PAGE_RDONLY_EXEC: usize = 0;
pub(super) const ARCH_PAGE_EXECONLY: usize = 0;

pub(super) const ARCH_DEVICE_NONE: usize = 0;
pub(super) const ARCH_DEVICE_READWRITE: usize = 0;
pub(super) const ARCH_DEVICE_RDONLY: usize = 0;

pub(super) const ARCH_SECTION_PAGE_NONE: usize = 0;
pub(super) const ARCH_SECTION_PAGE_READWRITE: usize = 0;
pub(super) const ARCH_SECTION_PAGE_READWRITE_EXEC: usize = 0;
pub(super) const ARCH_SECTION_PAGE_RDONLY: usize = 0;
pub(super) const ARCH_SECTION_PAGE_RDONLY_EXEC: usize = 0;
pub(super) const ARCH_SECTION_PAGE_EXECONLY: usize = 0;

pub(super) const ARCH_SECTION_DEVICE_NONE: usize = 0;
pub(super) const ARCH_SECTION_DEVICE_READWRITE: usize = 0;
pub(super) const ARCH_SECTION_DEVICE_RDONLY: usize = 0;
